Loading...
Searching...
No Matches
form_lazy_multiply< Expr1, Expr2 >

## Detailed Description

template<class Expr1, class Expr2>
class rheolef::details::form_lazy_multiply< Expr1, Expr2 >

Definition at line 727 of file form_lazy_expr.h.

Inheritance diagram for form_lazy_multiply< Expr1, Expr2 >:

## Public Types

using | rep = form_lazy_multiply_rep< Expr1, Expr2 >
using | base1 = smart_pointer_nocopy< rep >
using | base2 = form_lazy_base< form_lazy_multiply< Expr1, Expr2 > >
using | size_type = typename rep::size_type
using | memory_type = typename rep::memory_type
using | scalar_type = typename rep::scalar_type
using | space_type = typename rep::space_type
using | geo_type = typename rep::geo_type
using | band_type = typename rep::band_type
using | matrix_element_type = typename rep::matrix_element_type
Public Types inherited from smart_pointer_nocopy< form_lazy_multiply_rep< Expr1, Expr2 > >
typedef form_lazy_multiply_rep< Expr1, Expr2 > | handled_type
typedef base::internal | internal

## Public Member Functions

| form_lazy_multiply (const Expr1 &expr1, const Expr2 &expr2)
const geo_type & | get_geo () const
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
bool | is_diagonal () const
void | evaluate (const geo_type &omega_K, const geo_element &K, matrix_element_type &ak) const
Public Member Functions inherited from smart_pointer_nocopy< form_lazy_multiply_rep< Expr1, Expr2 > >
| smart_pointer_nocopy (form_lazy_multiply_rep< Expr1, Expr2 > *p=0)
| smart_pointer_nocopy (void *count, internal i)
| smart_pointer_nocopy (const smart_pointer_nocopy< form_lazy_multiply_rep< Expr1, Expr2 > > &x)
smart_pointer_nocopy< form_lazy_multiply_rep< Expr1, Expr2 > > & | operator= (const smart_pointer_nocopy< form_lazy_multiply_rep< Expr1, Expr2 > > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const
Public Member Functions inherited from form_lazy_base< form_lazy_multiply< Expr1, Expr2 > >
std::enable_if< details::is_field_lazy< FieldExpr >::value, field_lazy_trans_mult_form< form_lazy_multiply< Expr1, Expr2 >, FieldExpr > >::type | trans_mult (const FieldExpr &u_expr) const
field_lazy_trans_mult_form< form_lazy_multiply< Expr1, Expr2 >, field_lazy_terminal_field< T, M > > | trans_mult (const field_basic< T, M > &uh) const

## Additional Inherited Members

Protected Member Functions inherited from form_lazy_base< form_lazy_multiply< Expr1, Expr2 > >
form_lazy_multiply< Expr1, Expr2 > & | derived ()
const form_lazy_multiply< Expr1, Expr2 > & | derived () const

## Member Typedef Documentation

## rep

template<class Expr1 , class Expr2 >

using rep = form_lazy_multiply_rep<Expr1,Expr2>

Definition at line 732 of file form_lazy_expr.h.

## base1

template<class Expr1 , class Expr2 >

using base1 = smart_pointer_nocopy<rep>

Definition at line 733 of file form_lazy_expr.h.

## base2

template<class Expr1 , class Expr2 >

using base2 = form_lazy_base<form_lazy_multiply<Expr1,Expr2> >

Definition at line 734 of file form_lazy_expr.h.

## size_type

template<class Expr1 , class Expr2 >

using size_type = typename rep::size_type

Definition at line 735 of file form_lazy_expr.h.

## memory_type

template<class Expr1 , class Expr2 >

using memory_type = typename rep::memory_type

Definition at line 736 of file form_lazy_expr.h.

## scalar_type

template<class Expr1 , class Expr2 >

using scalar_type = typename rep::scalar_type

Definition at line 737 of file form_lazy_expr.h.

## space_type

template<class Expr1 , class Expr2 >

using space_type = typename rep::space_type

Definition at line 738 of file form_lazy_expr.h.

## geo_type

template<class Expr1 , class Expr2 >

using geo_type = typename rep::geo_type

Definition at line 739 of file form_lazy_expr.h.

## band_type

template<class Expr1 , class Expr2 >

using band_type = typename rep::band_type

Definition at line 740 of file form_lazy_expr.h.

## matrix_element_type

template<class Expr1 , class Expr2 >

using matrix_element_type = typename rep::matrix_element_type

Definition at line 741 of file form_lazy_expr.h.

## Constructor & Destructor Documentation

## form_lazy_multiply()

template<class Expr1 , class Expr2 >

form_lazy_multiply | ( | const Expr1 & | expr1,
|  | const Expr2 & | expr2
| ) |  |

Definition at line 745 of file form_lazy_expr.h.

## Member Function Documentation

## get_geo()

template<class Expr1 , class Expr2 >

const geo_type & get_geo | ( |  | ) | const

Definition at line 752 of file form_lazy_expr.h.

## get_trial_space()

template<class Expr1 , class Expr2 >

const space_type & get_trial_space | ( |  | ) | const

Definition at line 753 of file form_lazy_expr.h.

## get_test_space()

template<class Expr1 , class Expr2 >

const space_type & get_test_space | ( |  | ) | const

Definition at line 754 of file form_lazy_expr.h.

## is_on_band()

template<class Expr1 , class Expr2 >

bool is_on_band | ( |  | ) | const

Definition at line 755 of file form_lazy_expr.h.

## get_band()

template<class Expr1 , class Expr2 >

band_type get_band | ( |  | ) | const

Definition at line 756 of file form_lazy_expr.h.

## initialize()

template<class Expr1 , class Expr2 >

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 758 of file form_lazy_expr.h.

## is_diagonal()

template<class Expr1 , class Expr2 >

bool is_diagonal | ( |  | ) | const

Definition at line 759 of file form_lazy_expr.h.

## evaluate()

template<class Expr1 , class Expr2 >

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | matrix_element_type & | ak
| ) |  | const

Definition at line 761 of file form_lazy_expr.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/form_lazy_expr.h